coordinates to "0" globally in a dwg? TIA Klif
FLATTEN if you have version 2004 onwards I think, if not paste the code below into notepad and save as Flatten.lsp (defun c:flatten ( / ss ans ) (acet-error-init (list nil 1)) (princ "\nSelect objects to convert to 2d...") (if (not acet:flatn-hide) (setq acet:flatn-hide "No") );if (if (and (setq ss (ssget "_:l" '((-4 . "<NOT") (0 . "VIEWPORT") (-4 . "NOT>"))));setq (setq ss (car (acet-ss-filter (list ss nil T)))) );and (progn (initget "Yes No") (setq ans (getkword (acet-str-format "\nRemove hidden lines? <%1>: " acet:flatn-hide ) );getkword );setq (if (not ans) (setq ans acet:flatn-hide) (setq acet:flatn-hide ans) );if (if (equal ans "No") (acet-flatn ss nil) (acet-flatn ss T) );if );progn then );if (acet-error-restore) );defun c:flatten (acet-autoload2 '("FLATTENSUP.LSP" (acet-flatn ss hide))) (princ)